Bug 966630 - Review Request: openstack-java-sdk - OpenStack Java SDK [NEEDINFO]
Review Request: openstack-java-sdk - OpenStack Java SDK
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 11:04 EDT by Federico Simoncelli
Modified: 2014-04-29 06:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 06:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
mizdebsk: needinfo? (fsimonce)
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2013-05-23 11:04:22 EDT
Spec URL: http://fsimonce.fedorapeople.org/openstack-java-sdk/openstack-java-sdk.spec
SRPM URL: http://fsimonce.fedorapeople.org/openstack-java-sdk/openstack-java-sdk-3.0.0-0.0.git52d4399.fc20.src.rpm
Description: OpenStack client implementation in Java
Fedora Account System Username: fsimonce
Comment 2 Mikolaj Izdebski 2013-05-24 08:22:54 EDT
Package Review
==============

Legend:
[x] = Pass, [-] = Not applicable


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI


Rpmlint
-------
openstack-java-ceilometer-client.noarch: W: no-documentation
openstack-java-glance-client.noarch: W: no-documentation
openstack-java-keystone-client.noarch: W: no-documentation
openstack-java-nova-client.noarch: W: no-documentation
openstack-java-quantum-client.noarch: W: no-documentation
openstack-java-swift-client.noarch: W: no-documentation


Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5417774

Package approved.
Comment 3 Federico Simoncelli 2013-05-24 08:37:06 EDT
New Package SCM Request
=======================
Package Name: openstack-java-sdk
Short Description: OpenStack Java SDK
Owners: fsimonce
Branches: f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-05-24 09:26:43 EDT
Git done (by process-git-requests).
Comment 5 Mikolaj Izdebski 2013-06-24 18:12:01 EDT
What's the status of this bug?
If there are no problems with the package then please close this bug with resolution NEXTRELEASE.
Comment 6 Mikolaj Izdebski 2014-04-29 02:01:56 EDT
Submitter unresponsive. Reassigning to nobody.
Comment 7 Matthias Runge 2014-04-29 06:58:17 EDT
bodhi -L openstack-java-sdk:
     f19-updates-candidate  openstack-java-sdk-3.0.4-1.fc19
               f19-updates  openstack-java-sdk-3.0.2-1.fc19
       f19-updates-testing  openstack-java-sdk-3.0.2-1.fc19
     f20-updates-candidate  openstack-java-sdk-3.0.4-1.fc20
       f20-updates-testing  openstack-java-sdk-3.0.2-1.fc20
               f20-updates  openstack-java-sdk-3.0.2-1.fc20

It looks imported, built and pushed. Closing this one.

Note You need to log in before you can comment on or make changes to this bug.